<!-- TOP -->
<div class="custom-color" style="background-color: #A0F6D2; height: 12vh">
  <div class="row p-1 mr-0">
    <div class="col-1">
      <a href="/" target="_self">
        <img class="img-fluid d-block ml-3" src="./../../../assets/images/logo.png" style="width: 11vh">
      </a>
    </div>
    <div class="col-8 pt-3">
      <h2 class="mt-3"><b>Back Office</b></h2>
    </div>
    <div class="col-2">
    </div>
    <div class="col-1 pt-3">
      <a class="btn btn-outline-custom btn-sm mt-4" href="/user-area">User Area</a>
    </div>
  </div>
</div>

<!-- CONTENT -->
<div class="custom-color p-3 mr-0" style="background-color:rgb(200, 253, 236); min-height: 88vh;">
  <div class="row p-2 pb-3">
    <div class="col-10 offset-1">
      <h2><b>User Verifications</b></h2>
    </div>
  </div>
  <div class="row mb-4">
    <div class="col-10 offset-1">
      <div class="card" style="width: 100%">
        <div class="card-header bg-success text-light">
          <h6 class="mb-0"><b>VERIFIED</b></h6>
        </div>
        <div class="card-body p-0">
          <table class="table table-sm table-hover">
            <thead class="thead-light">
              <tr>
                <th scope="col">Document Number</th>
                <th scope="col">Name</th>
                <th scope="col">Address</th>
                <th scope="col">Type</th>
                <th scope="col" colspan="2">Blockchain Identifier</th>
              </tr>
            </thead>
            <tbody *ngIf="verified.length > 0">
              <tr *ngFor="let user of verified">
                <td>{{user.documentNumber}}</td>
                <td>{{user.name}}</td>
                <td>{{user.address}}</td>
                <td *ngIf="user.verificationType === 'BLOCKCHAIN_CHECK'">
                  <h6 class="mb-0"><span class="badge badge-info">BLOCKCHAIN CHECK</span></h6>
                </td>
                <td *ngIf="user.verificationType === 'THIRD_PARTY_VERIFIER'">
                  <h6 class="mb-0"><span class="badge badge-secondary">THIRD PARTY VERIFIER</span></h6>
                </td>
                <td>{{user.blockchainIdentifier}}</td>
                <td><a href="/user-area/{{user.documentNumber}}">Open</a></td>

              </tr>
            </tbody>
            <tbody *ngIf="verified.length == 0">
              <tr>
                <td colspan="6">No records found</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
  <div class="row">
    <div class="col-5 offset-1">
      <div class="card" style="width: 100%">
        <div class="card-header bg-primary text-light">
          <h6 class="mb-0"><b>PENDING</b></h6>
        </div>
        <div class="card-body p-0">
          <table class="table table-sm table-hover">
            <thead class="thead-light">
              <tr>
                <th scope="col">Document Number</th>
                <th scope="col">Name</th>
                <th scope="col" colspan="2">Address</th>
              </tr>
            </thead>
            <tbody *ngIf="pending.length > 0">
              <tr *ngFor="let user of pending">
                <td>{{user.documentNumber}}</td>
                <td>{{user.name}}</td>
                <td>{{user.address}}</td>
                <td><a href="/user-area/{{user.documentNumber}}">Open</a></td>
              </tr>
            </tbody>
            <tbody *ngIf="pending.length == 0">
              <tr>
                <td colspan="4">No records found</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
    <div class="col-5">
      <div class="card" style="width: 100%">
        <div class="card-header bg-warning text-light">
          <h6 class="mb-0"><b>IN PROCESS</b></h6>
        </div>
        <div class="card-body p-0">
          <table class="table table-sm table-hover">
            <thead class="thead-light">
              <tr>
                <th scope="col">Document Number</th>
                <th scope="col">Name</th>
                <th scope="col" colspan="2">Address</th>
              </tr>
            </thead>
            <tbody *ngIf="in_process.length > 0">
              <tr *ngFor="let user of in_process">
                <td>{{user.documentNumber}}</td>
                <td>{{user.name}}</td>
                <td>{{user.address}}</td>
                <td><a href="/user-area/{{user.documentNumber}}">Open</a></td>
              </tr>
            </tbody>
            <tbody *ngIf="in_process.length == 0">
              <tr>
                <td colspan="4">No records found</td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>
